<?php
	include("../../cabecera.php");
	require_once("../../include/pclzip.lib.php");
	if($_FILES['fichero']['name'])
	{
		$carpeta_archivos='tmp';
		if(!file_exists($carpeta_archivos))
		{
			mkdir($carpeta_archivos);
			@chmod($carpeta_archivos, 0777);
		}
		$carpeta_archivos=$carpeta_archivos.'/resul/';
		if(!file_exists($carpeta_archivos))
		{
			mkdir($carpeta_archivos);
			@chmod($carpeta_archivos, 0777);
		}
		$tmp = $_FILES['fichero']['tmp_name'];
		$name = $_FILES['fichero']['name'];

		$ahora = "tmp/".$_FILES['fichero']['name'];

		move_uploaded_file($tmp, $ahora);

	} else
	{
		header("location:asesoramiento.php");
	}

	$fichero=$ahora;
	if(!strpos(strtolower($fichero),".gis"))
		{
		?>
			<script language="javascript" type="text/javascript">
				alert("Este no es un archivo importable GISPO");
				window.history.back();
			</script>
		<?php
		} else
		{
			if(file_exists("tmp/archivo.zip"))
			{
				unlink("tmp/archivo.zip");
			}
			rename($fichero,"tmp/archivo.zip");

                        ini_set ("memory_limit","20M");
			$archivo = new PclZip('tmp/archivo.zip');
			if(!$archivo->extract(PCLZIP_OPT_PATH, 'tmp/resul'))
			{
			?>
				<script language="javascript" type="text/javascript">
					alert("Este no es un archivo importable GISPO");
					window.history.back();
				</script>
			<?php
			} else
			{
				if(!file_exists("tmp/resul/alumnos.xml"))
				{
					?>
						<script language="javascript" type="text/javascript">
							alert("Este no es un archivo importable GISPO");
							window.history.back();
						</script>
					<?php
				}
			}
		}
?>
<script language="javascript">
	function seleccionarFila (n)
	{
		var seleccionado=0;
		if(document.getElementById("selalu"+n).value=="no")
		{
			document.getElementById("selalu"+n).value="si";
			seleccionado=1;
		} else
		{
			document.getElementById("selalu"+n).value="no";
		}
		switch (seleccionado)
		{
			case 0:
				for(i=0;i<=2;i++)
				{
					document.getElementById("lista"+i+n).style.backgroundColor="#eee";
				}
				break;
			case 1:
				for(i=0;i<=2;i++)
				{
					document.getElementById("lista"+i+n).style.backgroundColor="#ccc";
				}
				break;
		}
	}
</script>
<table class="titular" cellpadding="0" cellspacing="0">
	<tr>
		<td>Importar Alumnos</td>
	</tr>
</table>
<table class="resumen" cellpadding="0" cellspacing="0">
	<tr>
		<td>Selecciona los alumnos a importar y, si lo deseas, modifica el NIE. Cuando termines, pulsa en el bot&oacute;n "Importar" para proceder</td>
	</tr>
</table>
<form method="POST" action="importaAlumnos.php" id="formulario">
<table cellpadding="0" cellspacing="0" style="padding-bottom:15">
	<tr>
		<td><input type="submit" value="Importar" class="boton"></td>
	</tr>
</table>
<table cellpadding="0" cellspacing="0" style="border:1px solid #ccc">
	<tr>
		<td class=titulolista style="width:28;border-right:1px solid #fff">&nbsp;</td>
		<td class=titulolista style="border-right:1px solid #fff;width:300">Alumno</td>
		<td class=titulolista style="width:60;border-right:1px solid #fff">N&#186; EXP</td>
		<?php
			$alumnos=simplexml_load_file("tmp/resul/alumnos.xml");
			foreach($alumnos->children() as $alumno)
			{
				$nombre=$alumno->nombre;
				$apellidos=$alumno->apellidos;
				$nie=$alumno->NIE;
		?>
			<tr>
				<input type="hidden" id="selalu<?php echo $i?>" value="no">
				<td class=lista id="lista0<?php echo $i?>" style="text-align:center;border-right:1px solid #fff"><input type="checkbox" name="alu<?php echo $nie?>" id="alu<?php echo $nie?>" value="<?php echo $i?>" onchange="seleccionarFila(<?php echo $i?>)"></td>
				<td class=lista id="lista1<?php echo $i?>" style="border-right:1px solid #fff;padding-left:10"><?php echo $apellidos.", ".$nombre?></td>
				<td class=lista id="lista2<?php echo $i?>" style="text-align:right;"><input type="text" class="caja" name="nieAlu<?php echo $nie?>" value="<?php echo $nie?>" style="width:60;text-align:right;padding-right:4"></td>
			</tr>
		<?php
			}
		?>
	</tr>
</table>
<input type="hidden" name="nalumnos" value="<?php echo $i?>">
</form>
<?php
	vaciar("tmp/resul");
	include("../../pie.php");
?>